#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	liboauth
Version		:	1.0.3
Release		:	14.8.0.0%{?dist}
Summary		:	OAuth library functions
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+
URL		:	https://downloads.sourceforge.net/liboauth
 
Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-openssl-1.1.0-3.patch

#-----------------------------------------------------------------------------
BuildRequires	:	curl
BuildRequires	:	openssl-devel
BuildRequires	:	nss
#-----------------------------------------------------------------------------
%description
'%{nane}' is a collection of POSIX-c functions implementing the OAuth
Core RFC 5849 standard. %{name} provides functions to escape and
encode parameters according to OAuth specification and offers
high-level functionality to sign requests or verify OAuth signatures
as well as perform HTTP requests.

#-----------------------------------------------------------------------------
%prep
%setup -q 
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} 						\
	DESTDIR=%{buildroot}				\
	docdir=%{_defaultdocdir}			\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/oauth.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/oauth.pc
%{_mandir}/man3/oauth.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
